Correct pg_recvlogical server version test

Enterprise / PostgreSQL - Noah Misch [leadboat.com] - 26 April 2018 01:50 EDT

The predecessor test boiled down to "PQserverVersion(NULL) >= 100000", which is always false. No release includes that, so it could not have reintroduced CVE-2018-1058. Back-patch to 9.4, like the addition of the predecessor in commit 8d2814f274def85f39fbe997d454b01628cb5667.

Discussion: https://postgr.es/m/20180422215551.GB2676194@rfd.leadboat.com

6336b6dfc5 Correct pg_recvlogical server version test.
src/bin/pg_basebackup/streamutil.c | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

Upstream: git.postgresql.org


  • Share